ApplicationConfigurationControllerComputeEffectiveLogFilterValue Method |
POST /ApplicationConfiguration/ComputeEffectiveLogFilterValue/
Computes what the effective value for a setting would be without having to save the configuration.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ComputeEffectiveLogFilterValue")]
public HttpResponseMessage ComputeEffectiveLogFilterValue(
[FromBodyAttribute] ConfigValueOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ComputeEffectiveLogFilterValue")>
Public Function ComputeEffectiveLogFilterValue (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ComputeEffectiveLogFilterValue")]
HttpResponseMessage^ ComputeEffectiveLogFilterValue(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ComputeEffectiveLogFilterValue")>]
member ComputeEffectiveLogFilterValue :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
An object that carries all needed information used to compute the effective value. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageAn un-serialized log filter or a status code and error message indicating the problem.
See Also